EventInterface File Reference
`#include <list>`
`#include <osg/ref_ptr>`
`#include <osg/observer_ptr>`
`#include <osg/Referenced>`
`#include <osgWidget/Export>`

Go to the source code of this file.

## Classes

class | osgWidget::Event
struct | osgWidget::CallbackInterface
class | osgWidget::ObjectCallback< T >
class | osgWidget::FunctionCallback< T >
class | osgWidget::Callback
class | osgWidget::EventInterface

## Namespaces

namespace | osgWidget

## Macros

#define | OSGWIDGET_EVENT_INTERFACE

## Enumerations

enum

osgWidget::EventType {
osgWidget::EVENT_NONE = 0x0000 , osgWidget::EVENT_FOCUS = 0x0001 , osgWidget::EVENT_UNFOCUS = 0x0002 , osgWidget::EVENT_MOUSE_ENTER = 0x0004 ,
osgWidget::EVENT_MOUSE_OVER = 0x0008 , osgWidget::EVENT_MOUSE_LEAVE = 0x0010 , osgWidget::EVENT_MOUSE_DRAG = 0x0020 , osgWidget::EVENT_MOUSE_PUSH = 0x0040 ,
osgWidget::EVENT_MOUSE_RELEASE = 0x0080 , osgWidget::EVENT_MOUSE_SCROLL = 0x0100 , osgWidget::EVENT_KEY_DOWN = 0x0200 , osgWidget::EVENT_KEY_UP = 0x0400 ,
osgWidget::EVENT_ALL = 0xFFFF
}

enum

osgWidget::EventMask {
osgWidget::EVENT_MASK_FOCUS = EVENT_FOCUS | EVENT_UNFOCUS , osgWidget::EVENT_MASK_MOUSE_MOVE = EVENT_MOUSE_ENTER | EVENT_MOUSE_OVER | EVENT_MOUSE_LEAVE , osgWidget::EVENT_MASK_MOUSE_CLICK = EVENT_MOUSE_PUSH | EVENT_MOUSE_RELEASE , osgWidget::EVENT_MASK_MOUSE_DRAG = EVENT_MASK_MOUSE_MOVE | EVENT_MASK_MOUSE_CLICK | EVENT_MOUSE_DRAG ,
osgWidget::EVENT_MASK_KEY = EVENT_KEY_UP | EVENT_KEY_DOWN
}

## Macro Definition Documentation

## OSGWIDGET_EVENT_INTERFACE

#define OSGWIDGET_EVENT_INTERFACE